/* 
   mathematical.cpp

   Makros for some commonly used operations.
 
     Copyright (C) 2005, Patrick Rammelt <rammelt@cs.tu-berlin.de>
 
     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.
 
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
 
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
*/


#ifndef _MATHEMATICAL_CPP
#define _MATHEMATICAL_CPP

#define SIGN(x) ((x)>0 ? 1 : ((x)<0 ? -1 : 0))
#define ABS(x) ((x)>=0 ? (x) : -(x))
#define MAX(x,y) ((x)>(y) ? (x) : (y))
#define MIN(x,y) ((x)<(y) ? (x) : (y))
#define MINMAX(x,a,b) ((x)<(a) ? (a) : ((x)>(b) ? (b) : (x)))

#endif // ifndef _MATHEMATICAL_CPP
